docs: fix 16 typos in comments and documentation by Avicennasis · Pull Request #417 · PowerShell/PowerShell-RFC · GitHub
Skip to content
Open
Show file tree
Hide file tree
Changes from all commits
Commits
File filter

Filter by extension

Filter by extension

Conversations
Failed to load comments.
Loading
Jump to
Jump to file
Failed to load files.
Loading
Diff view
Diff view
14 changes: 7 additions & 7 deletions Archive/Rejected/RFC0005-Typed-Interprocess-communication.md
8 changes: 4 additions & 4 deletions Archive/Rejected/RFC0015-PowerShell-StartupConfig.md
Original file line number Diff line number Diff line change
Expand Up @@ -44,7 +44,7 @@ Additional keys and subkeys may be added as needed.
Keys which are not supported shall generate a _warning_ and be ignored.

The configuration file in $PSHOME shall be applicable only to the PowerShell executable found therein.
The configuration file in $HOME (PowerShell._version_.Config.psd) shall be applicable to only to the matching version of PowerShell Core.
The configuration file in $HOME (PowerShell._version_.Config.psd) shall be applicable only to the matching version of PowerShell Core.
Additionally, the parameter `-ConfigurationFile` shall be present in the PowerShell executable, which takes an array of strings which represent paths to config files.
When the `-ConfigurationFile` parameter is present, those files only will be read for configuration data.

Expand All @@ -55,7 +55,7 @@ The config file should have a published schema to aid in file creation.
* Tools to ease the creation/alteration/removal of settings should be created at a future date.

### Additional Optional Work
We should have a mechanism for creating default config files, we could easily modify existing code for New-PSSessionConfiguraitonFile to do this, however this is not a requirement.
We should have a mechanism for creating default config files, we could easily modify existing code for New-PSSessionConfigurationFile to do this, however this is not a requirement.

### Sample configuration file
```powershell
Expand Down Expand Up @@ -108,7 +108,7 @@ And $HOME configuration file defines it as:
}
}
```
The the resultant configuration will be as defined by the file in $HOME.
The resultant configuration will be as defined by the file in $HOME.

However, if the configuration does not overlap then the settings will not be overridden:

Expand Down Expand Up @@ -154,7 +154,7 @@ The current proposal provides for those settings to be unalterable by a user whi
### Datafile Formats
The format for the datafile could take many forms; XML, json, Linux Config, .yml, or .ini.
I chose PowerShell Data format assuming that anyone that is configuring PowerShell is familiar with PowerShell constructs, and code is available to convert a PSD1 file to an object before the engine is started.
Also, PSD1 files may conin comments, which may be very helpful in describing the settings.
Also, PSD1 files may contain comments, which may be very helpful in describing the settings.
The config file location is somewhat forced due to PowerShell's side-by-side requirements, so a global location (.e.g., `/etc/`) would greatly complicate the configuration file to cover multiple versions.

## PowerShell Committee Decision
Expand Down
6 changes: 3 additions & 3 deletions Draft-Accepted/RFC0065-Install-PowerShell.md
Original file line number Diff line number Diff line change
Expand Up @@ -79,7 +79,7 @@ Goals:

- By default, download and install the latest LTS release to the users CurrentUser Scope
- CurrentUser - default installation scope location
- AllUsers - Administrative users may explicit select this scope. AllUsers requires administrative
- AllUsers - Administrative users may explicitly select this scope. AllUsers requires administrative
elevation and performs a silent install using the MSI defaults.
- Allow advanced users to specify channel Stable/Preview/LTS
- Tool will not partially install and leave any existing PowerShell in a non-functioning state.
Expand Down Expand Up @@ -108,8 +108,8 @@ privilege, they can choose to install the msi package silently to the scope of A
- The preview package install location - $env:LOCALAPPDATA\Local\Programs\PowerShell-Preview
- If path exists, Provide an error "PowerShell 7 Preview is already installed, use --clobber to overwrite
existing installation"
- Detect if Powershell is in use in the target folder and provide error "PowerShell is currently in
use. Please close all Powershell instances and run the command from Start->Run or cmd.exe."
- Detect if PowerShell is in use in the target folder and provide error "PowerShell is currently in
use. Please close all PowerShell instances and run the command from Start->Run or cmd.exe."
- The installer should update the `$ENV:PATH` and Users PATH in the registry.
- The installer should enable Microsoft Updates for scope AllUsers.
- The command should show a progress bar during the download and installation of PowerShell 7.
Expand Down
4 changes: 2 additions & 2 deletions Final/RFC0045-Ternary-Operator.md